function fieldsAreEqual(field1, field2)
{
        var F1 = field1;
        var F2 = field2;
        if(F1.value != F2.value)
        {
                F1.value = "";
                F2.value = "";
                F1.focus();
                return false;
        }
		else
		{
			return true;
		}
}

function isMinLen(field1, len)
{
        var F1 = field1;
		var iLength = len;

        if(F1.value.length < iLength)
        {
                F1.value = "";
                F1.focus();
                return false;
        }
		else
		{
			return true;
		}
}

function reqFieldsPopulated()
{
	for(i=0; i<arguments.length; i++)
	{
		if(arguments[i].value == null || arguments[i].value == "")
		{
			return false;
		}
	}
	return true;
}

function isNumeric(a)
{
	var inputVal = a;
	if(inputVal == null || inputVal == "")
	{
		inputVal = "notSpecified";
	}
	for(i=0; i < inputVal.length; i++)
	{
		var charPos = inputVal.charAt(i);
		if(charPos < "0" || charPos > "9")
		{
			return false;
		}
	}
	return true;
}

function isAlpha(a)
{
	var inputVal = a.toLowerCase();
	for(i=0; i < inputVal.length; i++)
	{
		var charPos = inputVal.charAt(i);
		if(charPos < "a" || charPos > "z")
		{
			return false;
		}
	}
	return true;
}

function isAlphaNumeric(a)
{
	var inputVal = new String(a);
	inputVal = inputVal.toLowerCase();
	for(i=0; i < inputVal.length; i++)
	{
		var charPos = inputVal.charAt(i);
		if (!((charPos >= "a" && charPos <= "z") || (charPos >= "0" && charPos <= "9") || (charPos == " ")))
			return false;
	}
  return true;
}


function isValidEmail(a)
{
	str = new String(a);
	if(str == null || str == "")
	{
		str = "notSpecified";
	}
	// @ symbol stuff
	var atSymbolIndex = str.indexOf("@",0);
	var preAtSymbolIndex = atSymbolIndex - 1;
	var postAtSymbolIndex = atSymbolIndex + 1;
	var preAtSymbolStr = str.charAt(preAtSymbolIndex);
	var postAtSymbolStr = str.charAt(postAtSymbolIndex);

	// dot stuff
	var dotIndex = str.indexOf(".",0);
	var postDotIndex = dotIndex + 1;
	var preDotIndex = dotIndex - 1;
	var postDotStr = str.charAt(postDotIndex);
	var preDotStr = str.charAt(preDotIndex);
	if(postDotStr == null || postDotStr == "")
	{
		postDotStr = "*";
	}

	//spaces stuff
	var spaces = str.indexOf(" ",0);
	var noSpaces = false;
	if(spaces < 0)
	{
		noSpaces = true;
	}

	if(noSpaces)
	{
		if((atSymbolIndex > 0) && (dotIndex > 0))
		{
			if(isAlphaNumeric(postDotStr) && isAlphaNumeric(preDotStr) && isAlphaNumeric(preAtSymbolStr) && isAlphaNumeric(postAtSymbolStr))
			{
				return true;
			}
		}
	}
	return false;
}



function isValidURL()
{

}

/*
//this is in the routines_english file
function isValidDomainName()
{

}
*/

/*
//this is in the routines_english file
function isValidHostName(a)
{

	return true;

}
*/


function isValidUSStateName(field)
{
	sStateName = field.value.toUpperCase();

	// States array
	var USStates = new Array(51)
	USStates[0] = "ALABAMA"
	USStates[1] = "ALASKA"
	USStates[2] = "ARIZONA"
	USStates[3] = "ARKANSAS"
	USStates[4] = "CALIFORNIA"
	USStates[5] = "COLORADO"
	USStates[6] = "CONNECTICUT"
	USStates[7] = "DELAWARE"
	USStates[8] = "DISTRICT OF COLUMBIA"
	USStates[9] = "FLORIDA"
	USStates[10] = "GEORGIA"
	USStates[11] = "HAWAII"
	USStates[12] = "IDAHO"
	USStates[13] = "ILLINOIS"
	USStates[14] = "INDIANA"
	USStates[15] = "IOWA"
	USStates[16] = "KANSAS"
	USStates[17] = "KENTUCKY"
	USStates[18] = "LOUISIANA"
	USStates[19] = "MAINE"
	USStates[20] = "MARYLAND"
	USStates[21] = "MASSACHUSETTS"
	USStates[22] = "MICHIGAN"
	USStates[23] = "MINNESOTA"
	USStates[24] = "MISSISSIPPI"
	USStates[25] = "MISSOURI"
	USStates[26] = "MONTANA"
	USStates[27] = "NEBRASKA"
	USStates[28] = "NEVADA"
	USStates[29] = "NEW HAMPSHIRE"
	USStates[30] = "NEW JERSEY"
	USStates[31] = "NEW MEXICO"
	USStates[32] = "NEW YORK"
	USStates[33] = "NORTH CAROLINA"
	USStates[34] = "NORTH DAKOTA"
	USStates[35] = "OHIO"
	USStates[36] = "OKLAHOMA"
	USStates[37] = "OREGON"
	USStates[38] = "PENNSYLVANIA"
	USStates[39] = "RHODE ISLAND"
	USStates[40] = "SOUTH CAROLINA"
	USStates[41] = "SOUTH DAKOTA"
	USStates[42] = "TENNESSEE"
	USStates[43] = "TEXAS"
	USStates[44] = "UTAH"
	USStates[45] = "VERMONT"
	USStates[46] = "VIRGINIA"
	USStates[47] = "WASHINGTON"
	USStates[48] = "WEST VIRGINIA"
	USStates[49] = "WISCONSIN"
	USStates[50] = "WYOMING"

	for(i=0; i < USStates.length; i++)
	{
		if(sStateName == USStates[i])
		{
			//alert(sStateName + "is equal to " + USStates[i])
			return true;
		}
	}

	return false;
}

function isValidUSStateCode(field)
{
	sStateCode = field.value.toUpperCase();

	// States array
	var USStatesCodes = new Array(51)
	USStatesCodes[0] = "AL"
	USStatesCodes[1] = "AK"
	USStatesCodes[2] = "AZ"
	USStatesCodes[3] = "AR"
	USStatesCodes[4] = "CA"
	USStatesCodes[5] = "CO"
	USStatesCodes[6] = "CT"
	USStatesCodes[7] = "DE"
	USStatesCodes[8] = "DC"
	USStatesCodes[9] = "FL"
	USStatesCodes[10] = "GA"
	USStatesCodes[11] = "HI"
	USStatesCodes[12] = "ID"
	USStatesCodes[13] = "IL"
	USStatesCodes[14] = "IN"
	USStatesCodes[15] = "IA"
	USStatesCodes[16] = "KS"
	USStatesCodes[17] = "KY"
	USStatesCodes[18] = "LA"
	USStatesCodes[19] = "ME"
	USStatesCodes[20] = "MD"
	USStatesCodes[21] = "MA"
	USStatesCodes[22] = "MI"
	USStatesCodes[23] = "MN"
	USStatesCodes[24] = "MS"
	USStatesCodes[25] = "MO"
	USStatesCodes[26] = "MT"
	USStatesCodes[27] = "NE"
	USStatesCodes[28] = "NV"
	USStatesCodes[29] = "NH"
	USStatesCodes[30] = "NJ"
	USStatesCodes[31] = "NM"
	USStatesCodes[32] = "NY"
	USStatesCodes[33] = "NC"
	USStatesCodes[34] = "ND"
	USStatesCodes[35] = "OH"
	USStatesCodes[36] = "OK"
	USStatesCodes[37] = "OR"
	USStatesCodes[38] = "PA"
	USStatesCodes[39] = "RI"
	USStatesCodes[40] = "SC"
	USStatesCodes[41] = "SD"
	USStatesCodes[42] = "TN"
	USStatesCodes[43] = "TX"
	USStatesCodes[44] = "UT"
	USStatesCodes[45] = "VT"
	USStatesCodes[46] = "VA"
	USStatesCodes[47] = "WA"
	USStatesCodes[48] = "WV"
	USStatesCodes[49] = "WI"
	USStatesCodes[50] = "WY"

	for(i=0; i < USStatesCodes.length; i++)
	{
		if(sStateCode == USStatesCodes[i])
		{
			return true;
		}
	}

	return false;
}

function convertState(a)
{
	sConvertVal = a.toUpperCase();
	sConvertNewVal = "";

	// States array
	var USStatesCodes = new Array(51)
	USStatesCodes["ALABAMA"] = "AL"
	USStatesCodes["ALASKA"] = "AK"
	USStatesCodes["ARIZONA"] = "AZ"
	USStatesCodes["ARKANSAS"] = "AR"
	USStatesCodes["CALIFORNIA"] = "CA"
	USStatesCodes["COLORADO"] = "CO"
	USStatesCodes["CONNECTICUT"] = "CT"
	USStatesCodes["DELAWARE"] = "DE"
	USStatesCodes["DISTRICT OF COLUMBIA"] = "DC"
	USStatesCodes["FLORIDA"] = "FL"
	USStatesCodes["GEORGIA"] = "GA"
	USStatesCodes["HAWAII"] = "HI"
	USStatesCodes["IDAHO"] = "ID"
	USStatesCodes["ILLINOIS"] = "IL"
	USStatesCodes["INDIANA"] = "IN"
	USStatesCodes["IOWA"] = "IA"
	USStatesCodes["KANSAS"] = "KS"
	USStatesCodes["KENTUCKY"] = "KY"
	USStatesCodes["LOUISIANA"] = "LA"
	USStatesCodes["MAINE"] = "ME"
	USStatesCodes["MARYLAND"] = "MD"
	USStatesCodes["MASSACHUSETTS"] = "MA"
	USStatesCodes["MICHIGAN"] = "MI"
	USStatesCodes["MINNESOTA"] = "MN"
	USStatesCodes["MISSISSIPPI"] = "MS"
	USStatesCodes["MISSOURI"] = "MO"
	USStatesCodes["MONTANA"] = "MT"
	USStatesCodes["NEBRASKA"] = "NE"
	USStatesCodes["NEVADA"] = "NV"
	USStatesCodes["NEW HAMPSHIRE"] = "NH"
	USStatesCodes["NEW JERSEY"] = "NJ"
	USStatesCodes["NEW MEXICO"] = "NM"
	USStatesCodes["NEW YORK"] = "NY"
	USStatesCodes["NORTH CAROLINA"] = "NC"
	USStatesCodes["NORTH DAKOTA"] = "ND"
	USStatesCodes["OHIO"] = "OH"
	USStatesCodes["OKLAHOMA"] = "OK"
	USStatesCodes["OREGON"] = "OR"
	USStatesCodes["PENNSYLVANIA"] = "PA"
	USStatesCodes["RHODE ISLAND"] = "RI"
	USStatesCodes["SOUTH CAROLINA"] = "SC"
	USStatesCodes["SOUTH DAKOTA"] = "SD"
	USStatesCodes["TENNESSEE"] = "TN"
	USStatesCodes["TEXAS"] = "TX"
	USStatesCodes["UTAH"] = "UT"
	USStatesCodes["VERMONT"] = "VT"
	USStatesCodes["VIRGINIA"] = "VA"
	USStatesCodes["WASHINGTON"] = "WA"
	USStatesCodes["WEST VIRGINIA"] = "WV"
	USStatesCodes["WISCONSIN"] = "WI"
	USStatesCodes["WYOMING"] = "WY"

	// States array
	var USStates = new Array(51)
	USStates["AL"] = "ALABAMA"
	USStates["AK"] = "ALASKA"
	USStates["AZ"] = "ARIZONA"
	USStates["AR"] = "ARKANSAS"
	USStates["CA"] = "CALIFORNIA"
	USStates["CO"] = "COLORADO"
	USStates["CT"] = "CONNECTICUT"
	USStates["DE"] = "DELAWARE"
	USStates["DC"] = "DISTRICT OF COLUMBIA"
	USStates["FL"] = "FLORIDA"
	USStates["GA"] = "GEORGIA"
	USStates["HI"] = "HAWAII"
	USStates["ID"] = "IDAHO"
	USStates["IL"] = "ILLINOIS"
	USStates["IN"] = "INDIANA"
	USStates["IA"] = "IOWA"
	USStates["KS"] = "KANSAS"
	USStates["KY"] = "KENTUCKY"
	USStates["LA"] = "LOUISIANA"
	USStates["ME"] = "MAINE"
	USStates["MD"] = "MARYLAND"
	USStates["MA"] = "MASSACHUSETTS"
	USStates["MI"] = "MICHIGAN"
	USStates["MN"] = "MINNESOTA"
	USStates["MS"] = "MISSISSIPPI"
	USStates["MO"] = "MISSOURI"
	USStates["MT"] = "MONTANA"
	USStates["NE"] = "NEBRASKA"
	USStates["NV"] = "NEVADA"
	USStates["NH"] = "NEW HAMPSHIRE"
	USStates["NJ"] = "NEW JERSEY"
	USStates["NM"] = "NEW MEXICO"
	USStates["NY"] = "NEW YORK"
	USStates["NC"] = "NORTH CAROLINA"
	USStates["ND"] = "NORTH DAKOTA"
	USStates["OH"] = "OHIO"
	USStates["OK"] = "OKLAHOMA"
	USStates["OR"] = "OREGON"
	USStates["PA"] = "PENNSYLVANIA"
	USStates["RI"] = "RHODE ISLAND"
	USStates["SC"] = "SOUTH CAROLINA"
	USStates["SD"] = "SOUTH DAKOTA"
	USStates["TN"] = "TENNESSEE"
	USStates["TX"] = "TEXAS"
	USStates["UT"] = "UTAH"
	USStates["VT"] = "VERMONT"
	USStates["VA"] = "VIRGINIA"
	USStates["WA"] = "WASHINGTON"
	USStates["WV"] = "WEST VIRGINIA"
	USStates["WI"] = "WISCONSIN"
	USStates["WY"] = "WYOMING"

	if(sConvertVal.length > 2)
	{
		sConvertNewVal = USStatesCodes[sConvertVal]
	}
	else if(sConvertVal.length == 2)
	{
		sConvertNewVal = USStates[sConvertVal]
	}

	return sConvertNewVal;
}




function prepopulate(fieldToCopy)
{
	sConvertVal = fieldToCopy;
	return sConvertVal;
}


// this function is not currently implemented
function isValidPhone(field1)
{
	if(isMinLen(field1, 7))
	{
		return true;
	}
	return false;
}